<back to all web services

ControlDataMessage

The following routes are available for this service:
GET/RestApi/personalizations/render
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Personalization.Impl.Web.Services.Dto.Request;

namespace Telerik.Sitefinity.Personalization.Impl.Web.Services.Dto.Request
{
    public partial class ControlDataMessage
    {
        public ControlDataMessage()
        {
            Controls = new List<string>{};
        }

        public virtual Guid PageNodeId { get; set; }
        public virtual Guid PageDataId { get; set; }
        public virtual List<string> Controls { get; set; }
        public virtual string Url { get; set; }
        public virtual string PageNodeKey { get; set; }
        public virtual string CorrelationId { get; set; }
    }

}

C# ControlDataMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/personalizations/render HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<ArrayOfControlDataResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Personalization.Impl.Web.Services.Dto.Response">
  <ControlDataResponse>
    <Content>String</Content>
    <ControlId>String</ControlId>
  </ControlDataResponse>
</ArrayOfControlDataResponse>